Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
cURL
curl --request GET \ --url https://api.oplog.one/openapi/v1/Products/GetBySKU \ --header 'Authorization: <api-key>'
import requestsurl = "https://api.oplog.one/openapi/v1/Products/GetBySKU"headers = {"Authorization": "<api-key>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};fetch('https://api.oplog.one/openapi/v1/Products/GetBySKU', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.oplog.one/openapi/v1/Products/GetBySKU", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: <api-key>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://api.oplog.one/openapi/v1/Products/GetBySKU" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
HttpResponse<String> response = Unirest.get("https://api.oplog.one/openapi/v1/Products/GetBySKU") .header("Authorization", "<api-key>") .asString();
require 'uri'require 'net/http'url = URI("https://api.oplog.one/openapi/v1/Products/GetBySKU")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Authorization"] = '<api-key>'response = http.request(request)puts response.read_body
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "favorite": true, "sku": "<string>", "stockAmount": 123, "availableStock": 123, "receivedItemAmount": 123, "damagedItemAmount": 123, "expiredAmount": 123, "lostItemAmount": 123, "integration": { "integrationName": "<string>" }, "imageUrl": "<string>", "name": "<string>", "barcodes": [ "<string>" ], "category": "<string>", "sioc": true, "width": 123, "length": 123, "height": 123, "weight": 123, "unitOfDimension": "<string>", "unitOfWeight": "<string>" }
If you want to emulate, please enter TenantId.
Success
Active
Disabled
Deleted
Show child attributes
Product
Bundle
Was this page helpful?